Skip to main content
POST
/
api
/
playground
/
sessions
/
{session_id}
/
sql
Run Sql
curl --request POST \
  --url https://api.example.com/api/playground/sessions/{session_id}/sql \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "limit": 1000
}
'
{
  "columns": [
    "<string>"
  ],
  "rows": [
    {}
  ],
  "row_count": 123,
  "truncated": true,
  "elapsed_ms": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

session_id
string
required

Cookies

antidote_session
string | null

Body

application/json
query
string
required
Required string length: 1 - 8000
limit
integer
default:1000
Required range: 1 <= x <= 10000

Response

Successful Response

columns
string[]
required
rows
Rows · object[]
required
row_count
integer
required
truncated
boolean
required
elapsed_ms
integer
required